/*
	--- octave2annfile.cc --- 

R. Schulte (roman.schulte89'at'gmail.com)
26.05.2014

This script was written for CinC-challenge 2014. It writtes the annotations given in the first input variable to a *.qrs file. The name of the *.qrs file is specified in the second input variable.
*/
#include <octave/oct.h>
#include <wfdb/wfdb.h>

DEFUN_DLD (octave2annfile, args, , "bla")
{
	ColumnVector A = args(0).column_vector_value ();
	int inlen = args(0).length ();
	int i;
	WFDB_Annotation annot;
	WFDB_Anninfo a;
	unsigned char* unch;

	charMatrix ch = args(1).char_matrix_value ();
	std::string tmp = ch.row_as_string (0);	

	char* record;
	record = const_cast<char*>(tmp.c_str());
		
	a.name = "qrs"; a.stat = WFDB_WRITE;
	if (annopen(record, &a, 1) < 0)
		printf("ERROR");
	for (i = 0; i < (inlen); i++) 
        {
             	annot.anntyp = 1;
		annot.time = A(i);
             	annot.subtyp = 0;
             	annot.chan = 0;
             	annot.num = 0;
             	annot.aux = unch;
		if (putann(0, &annot) < 0) break;
        }
	wfdbquit();
	return octave_value_list ();	
}


