function [f1] = basicFFT(ECGDat,fSamp)
plotting = 0;
y1=ECGDat;
L=length(y1);
Fs=fSamp;


z=0;
Num = ceil(L/fSamp/12);

% Preprocessing: differentiation, normation, Filter
y1 = diff(y1);
y1 = [y1(1); y1];
y1 = y1/max(abs(y1));

h = sincfil(3/fSamp,5/fSamp);
y1 = filter(h,1,y1);
clear yfft;

for i=1:round(L/Num):L-round(L/Num)
    z=z+1;
    y=y1(i:round(i+L/Num));
    y=y/max(abs(y));        % !!! every part has the same influence independant from the signal-power. 
    l=length(y);
    %y = filter(ones(1,windowSize)/windowSize,1,y);
    % y = filter(window/sum(window),1,y);  
    NFFT = 2^nextpow2(l); % Next power of 2 from length of y
    Y = fft(y,NFFT)/l;
    f = Fs/2*linspace(0,1,NFFT/2+1);
    offset = round((NFFT/2+1)/fSamp*2*0.6);
%     [~,idx]=max(abs(Y(offset:NFFT/2+1)));
%     fundfreq(z)= f(idx+offset);
    yfft(z,:) = 2*abs(Y(1:NFFT/2+1));
   
    
    if plotting 
        
        figure(1);
        plot([i:length(y)+i-1]/fSamp,y)
        hold on;
        
        % Plot single-sided amplitude spectrum.
        figure(2);
        
        plot(f,yfft(z,:));grid;
        hold on;

        title('Single-Sided Amplitude Spectrum of y(t)')
        xlabel('Frequency (Hz)')
        ylabel('|Y(f)|')
    end;   
    
end;
%fundfreq(fundfreq<0.66) = NaN;
% [a,b]= unique(fundfreq);
% n = histc(fundfreq,a);
% [~,idx]= max(n);
% f1=fundfreq(b(idx));

yfftmax=sum(yfft,1);

[maxi,idx]=max(yfftmax(offset:ceil(NFFT/2/fSamp*2*2.5))); %maximum zwischen 0.571Hz und 2.471Hz

if maxi>2*mean(yfftmax(offset:ceil(NFFT/2/fSamp*2*2.5)));
    f1= f(idx+offset-1);
else 
    f1 = NaN;
end;


